/* Testing the REXX-API *****************************************************************/
/*                                                                                      */
/* REXX calls the Function Aspi_Fill_REXX_Variable_Pool and hands over the name of      */
/* a buffer. The C-function allocates storage for that buffer and fills the buffer.     */
/* The buffer is copied into the REXX-Variable pool. REXX is able to access the values  */
/* using the buffer-name                                                                */
/*                                                                                      */
/****************************************************************************************/

Call RxFuncAdd "AspiLoadFuncs3", "rexxasp3", "AspiLoadFuncs3"
Call AspiLoadFuncs3


do j = 1 to 100
  x.j =  j * j
end

x.0 = 100

call Aspi_Read_All_Variables_From_REXX_VP

call Aspi_Read_All_Elements_Of_A_Specific_Stem_From_REXX_VP("x.0")

call AspiDeregFunc3

exit
